-- The default rotations generator for DRUIDS.
local druidRotationsGenerator = function ()
	local rotation = {
		["defaultRotation/druid/feral"] = {
			["version"] = 2,
			["keybind"] = "<keybind>",
			["specID"] = 2,
			["ActionList"] = {
				["defaultRotation/druid/savage_roar"] = {
					["v_p_needbuff"] = "52610^7.2",
					["b_p_needbuff"] = true,
					["b_p_unitpower"] = true,
					["v_p_unitpowertype"] = "4",
					["v_gspellcosttype"] = "3",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "52610",
					["v_gspellcost"] = "40",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=5",
					["b_gspellcost"] = true,
				},
				["defaultRotation/druid/renewal"] = {
					["v_p_hp"] = "<50%",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "108238",
					["v_keybind"] = "<keybind>",
					["b_p_hp"] = true,
					["v_checkothercdvalue"] = "=0",
					["v_checkothercdname"] = "108238",
				},
				["defaultRotation/druid/shred"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "5221",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "1",
					["v_gspellcost"] = "40",
				},
				["defaultRotation/druid/incarnation_king_of_the_jungle"] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "102543",
					["b_disabled"] = true,
					["v_keybind"] = "<keybind>",
				},
				["defaultRotation/druid/ferocious_bite"] = {
					["b_gspellcost"] = true,
					["v_keybind"] = "<keybind>",
					["v_gspellcosttype"] = "3",
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_p_knownotspell"] = "52610",
					["b_p_unitpower"] = true,
					["v_spellname"] = "22568",
					["v_gspellcost"] = "25",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = "=5",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/healing_touch"] = {
					["v_togglename"] = "Toggle 1",
					["v_p_hp"] = "<90%",
					["b_p_havebuff"] = true,
					["v_spellname"] = "5185",
					["v_keybind"] = "<keybind>",
					["b_p_hp"] = true,
					["v_p_havebuff"] = "69369",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/brutal_slash"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_gspellcosttype"] = "3",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202028",
					["v_gspellcost"] = "20",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "1",
					["b_gunitpower"] = true,
				},
				["defaultRotation/druid/rake_bloodtalons"] = {
					["b_gspellcost"] = true,
					["b_p_havebuff"] = true,
					["v_p_knowspell"] = "155672",
					["v_gspellcost"] = "35",
					["b_gunitpower"] = true,
					["v_p_havebuff"] = "145152",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1822",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "1",
					["v_gunitpowertype"] = "4",
				},
				["defaultRotation/druid/tiger_fury"] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "5217",
					["b_p_unitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<30",
					["v_p_unitpowertype"] = "3",
				},
				["defaultRotation/druid/rake"] = {
					["v_t_needsdebuff"] = "_155722^4.5",
					["v_gunitpowertype"] = "4",
					["b_t_needsdebuff"] = true,
					["b_gspellcost"] = true,
					["v_gspellcosttype"] = "3",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1822",
					["v_gspellcost"] = "35",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "1",
					["b_gunitpower"] = true,
				},
				["defaultRotation/druid/rip"] = {
					["v_t_needsdebuff"] = "_1079^7.2",
					["b_p_unitpower"] = true,
					["v_durationstartedtime"] = 0,
					["b_t_needsdebuff"] = true,
					["b_gspellcost"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "1079",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=5",
					["v_gspellcost"] = "30",
				},
				["defaultRotation/druid/ferocious_bite_savage_roar_rip"] = {
					["v_t_needsdebuff"] = "_1079^7.2",
					["b_t_hasdebuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "22568",
					["v_gspellcost"] = "25",
					["v_p_havebuff"] = "52610^7.2",
					["v_t_hasdebuff"] = "_1079",
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "52610",
					["b_p_unitpower"] = true,
					["v_t_hp"] = "<25%",
					["b_p_knowspell"] = true,
					["v_gspellcosttype"] = "3",
					["b_p_havebuff"] = true,
					["b_t_hp"] = true,
					["v_p_unitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=5",
					["b_t_needsdebuff"] = true,
				},
				["defaultRotation/druid/berserk"] = {
					["v_p_knownotspell"] = "102543",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "106951",
					["b_disabled"] = true,
					["v_keybind"] = "<keybind>",
					["v_togglename"] = "Toggle 1",
					["b_p_knownotspell"] = true,
				},
				["defaultRotation/druid/healing_touch_bloodtalons"] = {
					["v_p_knowspell"] = "155672",
					["b_p_unitpower"] = true,
					["v_p_havebuff"] = "69369",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_havebuff"] = true,
					["v_spellname"] = "5185",
					["v_p_unitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=5",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/elune_guidance"] = {
					["v_gunitpowertype"] = "4",
					["v_p_unitpowertype"] = "4",
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202060",
					["b_gunitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "5",
					["v_p_unitpower"] = "=0",
				},
				["defaultRotation/druid/ferocious_bite_rip"] = {
					["v_t_needsdebuff"] = "_1079^7.2",
					["b_t_hasdebuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "22568",
					["v_gspellcost"] = "25",
					["v_t_hasdebuff"] = "_1079",
					["b_gspellcost"] = true,
					["v_p_unitpowertype"] = "4",
					["v_p_knownotspell"] = "52610",
					["v_keybind"] = "<keybind>",
					["b_t_needsdebuff"] = true,
					["b_p_unitpower"] = true,
					["b_t_hp"] = true,
					["v_gspellcosttype"] = "3",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = "=5",
					["v_t_hp"] = "<25%",
				},
				["defaultRotation/druid/ferocious_bite_savage_roar"] = {
					["b_gspellcost"] = true,
					["b_p_havebuff"] = true,
					["v_p_knowspell"] = "52610",
					["v_p_havebuff"] = "52610^7.2",
					["v_gspellcosttype"] = "3",
					["b_p_unitpower"] = true,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "22568",
					["v_gspellcost"] = "25",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=5",
					["v_p_unitpowertype"] = "4",
				},
				["defaultRotation/druid/cat_form"] = {
					["v_p_needbuff"] = "768",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "768",
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
				},
				["defaultRotation/druid/moonfire"] = {
					["v_t_needsdebuff"] = "_164812^4.8",
					["b_gunitpower"] = true,
					["v_gunitpowertype"] = "4",
					["v_gspellcost"] = "30",
					["b_gspellcost"] = true,
					["v_gspellcosttype"] = "3",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8921",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "1",
					["v_p_knowspell"] = "155580",
				},
				["defaultRotation/druid/swiftmend"] = {
					["b_p_knowspell"] = true,
					["v_p_hp"] = "<80%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "18562",
					["v_p_knowspell"] = "197492",
					["v_keybind"] = "<keybind>",
					["v_togglename"] = "Toggle 1",
					["b_p_hp"] = true,
				},
			},
			["SortedActions"] = {
				"defaultRotation/druid/cat_form", -- [1]
				"defaultRotation/druid/swiftmend", -- [2]
				"defaultRotation/druid/renewal", -- [3]
				"defaultRotation/druid/healing_touch_bloodtalons", -- [4]
				"defaultRotation/druid/healing_touch", -- [5]
				"defaultRotation/druid/incarnation_king_of_the_jungle", -- [6]
				"defaultRotation/druid/berserk", -- [7]
				"defaultRotation/druid/elune_guidance", -- [8]
				"defaultRotation/druid/tiger_fury", -- [9]
				"defaultRotation/druid/savage_roar", -- [10]
				"defaultRotation/druid/ferocious_bite_savage_roar_rip", -- [11]
				"defaultRotation/druid/ferocious_bite_rip", -- [12]
				"defaultRotation/druid/rip", -- [13]
				"defaultRotation/druid/ferocious_bite_savage_roar", -- [14]
				"defaultRotation/druid/ferocious_bite", -- [15]
				"defaultRotation/druid/rake_bloodtalons", -- [16]
				"defaultRotation/druid/rake", -- [17]
				"defaultRotation/druid/moonfire", -- [18]
				"defaultRotation/druid/brutal_slash", -- [19]
				"defaultRotation/druid/shred", -- [20]
			},
		},
		["defaultRotation/druid/restoration"] = {
			["version"] = 2,
			["keybind"] = "<keybind>",
			["specID"] = 4,
			["SortedActions"] = {
				"defaultRotation/druid/renewal", -- [1]
				"defaultRotation/druid/moonfire", -- [2]
				"defaultRotation/druid/sunfire", -- [3]
				"defaultRotation/druid/lunar_strike", -- [4]
				"defaultRotation/druid/starsurge", -- [5]
				"defaultRotation/druid/solar_wrath", -- [6]
			},
			["ActionList"] = {
				["defaultRotation/druid/sunfire"] = {
					["v_t_needsdebuff"] = "_164815^2",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "93402",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
				},
				["defaultRotation/druid/solar_wrath"] = {
					["v_togglename"] = "Toggle 1",
					["v_keybind"] = "<keybind>",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "5176",
				},
				["defaultRotation/druid/renewal"] = {
					["v_p_hp"] = "<50%",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "108238",
					["v_keybind"] = "<keybind>",
					["b_p_hp"] = true,
					["v_checkothercdvalue"] = "=0",
					["v_checkothercdname"] = "108238",
				},
				["defaultRotation/druid/starsurge"] = {
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_havebuff"] = true,
					["v_spellname"] = "197626",
					["v_p_knowspell"] = "197632",
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "197625",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/moonfire"] = {
					["v_t_needsdebuff"] = "_164812^2",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8921",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
				},
				["defaultRotation/druid/lunar_strike"] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "197628",
					["v_p_knowspell"] = "197632",
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "164547&197625",
					["b_p_havebuff"] = true,
				},
			},
		},
		["defaultRotation/druid/balance"] = {
			["version"] = 2,
			["keybind"] = "<keybind>",
			["specID"] = 1,
			["SortedActions"] = {
				"defaultRotation/druid/fury_of_elune", -- [1]
				"defaultRotation/druid/moonkin_form", -- [2]
				"defaultRotation/druid/blessing_of_the_ancients", -- [3]
				"defaultRotation/druid/incarnation_chosen_of_elune", -- [4]
				"defaultRotation/druid/celestial_alignment", -- [5]
				"defaultRotation/druid/swiftmend", -- [6]
				"defaultRotation/druid/renewal", -- [7]
				"defaultRotation/druid/astral_communion", -- [8]
				"defaultRotation/druid/force_of_nature", -- [9]
				"defaultRotation/druid/warrior_of_elune", -- [10]
				"defaultRotation/druid/moonfire", -- [11]
				"defaultRotation/druid/sunfire", -- [12]
				"defaultRotation/druid/stellar_flare", -- [13]
				"defaultRotation/druid/starsurge", -- [14]
				"defaultRotation/druid/lunar_strike", -- [15]
				"defaultRotation/druid/solar_wrath", -- [16]
			},
			["ActionList"] = {
				["defaultRotation/druid/lunar_strike"] = {
					["v_gunitpowertype"] = "8",
					["v_p_havebuff"] = "164547",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "194153",
					["b_gunitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "10",
					["b_p_havebuff"] = true,
				},
				["defaultRotation/druid/force_of_nature"] = {
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "205636",
					["v_checkothercdvalue"] = "=0",
					["v_keybind"] = "<keybind>",
					["v_checkothercdname"] = "205636",
				},
				["defaultRotation/druid/renewal"] = {
					["v_p_hp"] = "<50%",
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "108238",
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "=0",
					["b_p_hp"] = true,
					["v_checkothercdname"] = "108238",
				},
				["defaultRotation/druid/moonfire"] = {
					["v_t_needsdebuff"] = "_164812^2",
					["v_gunitpowertype"] = "8",
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "8921",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "3",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/celestial_alignment"] = {
					["b_p_knownotspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_checkothercd"] = true,
					["v_p_knownotspell"] = "102560",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "194223",
					["b_disabled"] = true,
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "=0",
					["v_checkothercdname"] = "194223",
				},
				["defaultRotation/druid/moonkin_form"] = {
					["v_p_needbuff"] = "24858",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "24858",
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
				},
				["defaultRotation/druid/starsurge"] = {
					["b_gspellcost"] = true,
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "164545#3||164547#3",
					["b_p_unitpower"] = true,
					["v_gspellcost"] = "40",
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "8",
					["v_spellname"] = "78674",
					["v_gspellcosttype"] = "8",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=40",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/sunfire"] = {
					["v_t_needsdebuff"] = "_164815^2",
					["v_gunitpowertype"] = "8",
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "93402",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "3",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/solar_wrath"] = {
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "190984",
					["v_gunitpowertype"] = "8",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "6",
					["v_durationstartedtime"] = 0,
				},
				["defaultRotation/druid/astral_communion"] = {
					["v_gunitpowertype"] = "8",
					["v_p_unitpowertype"] = "8",
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202359",
					["b_gunitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "75",
					["v_p_unitpower"] = "<20",
				},
				["defaultRotation/druid/fury_of_elune"] = {
					["v_lastcasted"] = "202359",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202770",
					["b_lastcasted"] = true,
					["v_keybind"] = "<keybind>",
				},
				["defaultRotation/druid/blessing_of_the_ancients"] = {
					["v_p_needbuff"] = "202737",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202360",
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
				},
				["defaultRotation/druid/warrior_of_elune"] = {
					["v_p_needbuff"] = "202425",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "202425",
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
				},
				["defaultRotation/druid/stellar_flare"] = {
					["b_gspellcost"] = true,
					["v_gspellcost"] = "15",
					["v_durationstartedtime"] = 0,
					["v_p_unitpowertype"] = "8",
					["v_t_needsdebuff"] = "_202347^2",
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "202347",
					["v_gspellcosttype"] = "8",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=15",
					["b_t_needsdebuff"] = true,
				},
				["defaultRotation/druid/incarnation_chosen_of_elune"] = {
					["v_p_knowspell"] = "102560",
					["b_p_knowspell"] = true,
					["b_checkothercd"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "102560",
					["b_disabled"] = true,
					["v_keybind"] = "<keybind>",
					["v_checkothercdvalue"] = "=0",
					["v_checkothercdname"] = "102560",
				},
				["defaultRotation/druid/swiftmend"] = {
					["b_p_knowspell"] = true,
					["v_p_hp"] = "<80%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "18562",
					["v_p_knowspell"] = "197492",
					["v_keybind"] = "<keybind>",
					["v_togglename"] = "Toggle 1",
					["b_p_hp"] = true,
				},
			},
		},
		["defaultRotation/druid/guardian"] = {
			["version"] = 2,
			["keybind"] = "<keybind>",
			["specID"] = 3,
			["ActionList"] = {
				["defaultRotation/druid/lunar_beam"] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "204066",
					["b_p_hp"] = true,
					["v_p_hp"] = "<70%",
					["v_keybind"] = "<keybind>",
				},
				["defaultRotation/druid/mangle"] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "33917",
					["v_gunitpowertype"] = "1",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "6",
					["b_gunitpower"] = true,
				},
				["defaultRotation/druid/moonfire_galactic_guardian"] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8921",
					["v_keybind"] = "<keybind>",
					["b_hasproc"] = true,
				},
				["defaultRotation/druid/maul"] = {
					["b_gspellcost"] = true,
					["b_p_unitpower"] = true,
					["v_p_unitpowertype"] = "1",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "6807",
					["v_gspellcost"] = "20",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=90",
					["v_gspellcosttype"] = "1",
				},
				["defaultRotation/druid/pulverize"] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["b_t_hasdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_spellname"] = "80313",
					["v_t_hasdebuff"] = "_192090#2",
				},
				["defaultRotation/druid/thrash"] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "77758",
					["v_gunitpowertype"] = "1",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "4",
					["b_gunitpower"] = true,
				},
				["defaultRotation/druid/swipe"] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "213764",
					["v_keybind"] = "<keybind>",
					["b_debug"] = true,
				},
				["defaultRotation/druid/swiftmend"] = {
					["b_p_knowspell"] = true,
					["v_p_hp"] = "<80%",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "18562",
					["v_p_knowspell"] = "197492",
					["v_keybind"] = "<keybind>",
					["v_togglename"] = "Toggle 1",
					["b_p_hp"] = true,
				},
				["defaultRotation/druid/moonfire"] = {
					["v_t_needsdebuff"] = "_164812^2",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8921",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
				},
				["defaultRotation/druid/bear_form"] = {
					["v_p_needbuff"] = "5487",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "5487",
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
				},
			},
			["SortedActions"] = {
				"defaultRotation/druid/bear_form", -- [1]
				"defaultRotation/druid/swiftmend", -- [2]
				"defaultRotation/druid/lunar_beam", -- [3]
				"defaultRotation/druid/moonfire_galactic_guardian", -- [4]
				"defaultRotation/druid/mangle", -- [5]
				"defaultRotation/druid/thrash", -- [6]
				"defaultRotation/druid/moonfire", -- [7]
				"defaultRotation/druid/pulverize", -- [8]
				"defaultRotation/druid/maul", -- [9]
				"defaultRotation/druid/swipe", -- [10]
			},
		},
	}

	return rotation;
end

local druidRotationsGeneratorData = {
	["generator"] = druidRotationsGenerator
};

RotationBuilder:addDefaultRotationsGenerator("DRUID", druidRotationsGeneratorData);